Bug 90075 - Tear-off menus missing in kde on shrike
Tear-off menus missing in kde on shrike
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-05-01 21:03 EDT by William W. Austin
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-08 06:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William W. Austin 2003-05-01 21:03:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
(I may have the wrong package here, but I suspect this is the one...
Also, sorry if this is documented somewhere but I have spent over a week looking
and have not found it...)

I was previously running 8.0, but I did a complete install (with re-formatting)
for the 9 release.  When I brought up the kde desktop, none of the root window
menus (or any others that I have found) have tear-off handles (the dotted line
at the top or bottom of the menu so that you can "pin" it on the screen.   This
is a behaviour change from the version of kde in rh8.0; however, it does not
seem to be documented anywhere.  Further, some guys I work with (not directly: I
am in Atlanta, and one of them is in England while the other is in Germany) tell
me that on their kde 3.1 desktops the tear-off menus are still present (I
believe one built from scratch and the other from a different vendor).

Did rh remove them, or were they dropped from the standard build?  (They are a
useful feature when (for instance) you have to go through 4 or 5 levels of a
complex menu structure and you need to make multiple choices.) Or are they
present but not in the us-english configuration?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.startx (assuming your wm is kde)
2.bring up a root-level menu
3.expect to be able to to "pin" it on the desktop using the tear-off bar (dotted
line) or handle at the bottom.

Actual Results:  Step 3 is impossible since the tear-off bar/handle is missing

Expected Results:  Menu should be pinnable on the root window.

Additional info:

You might call the severity 'low'; howver its pain-in-the-neck factor is very
high, and this one may cause me and my department to switch away from BOTH kde
and gnome desktops.  The nuisance value on it is that high.

If this is documented somewhere, then I apologize for wasting your time... three
of us made an effort to find info on this one, but so far without success.
Comment 1 Ngo Than 2003-05-08 06:54:11 EDT
No, we don't remove this tear-off ability, it is disable for techical reason in
kde-3.1 from KDE developer.

>From kdebase/kicker/ui/k_mnu.cpp: 
>#if 0 
>    // WABA: tear off handles don't work together with dynamically updated 
>    // menus. We can't update the menu while torn off, and we don't know 
>    // when it is torn off. 
>    if (KGlobalSettings::insertTearOffHandle()) 
>      insertTearOffHandle(); 

i hope it will be enable again in new upstream (perhaps in KDE 3.2)

Note You need to log in before you can comment on or make changes to this bug.